Skip to main content

Supervisor Agent

View as Markdown

SupervisorAgent object

namestringBeta

The resource name of the SupervisorAgent. Format: supervisor-agents/{supervisor_agent_id}

display_namestringBeta

The display name of the Supervisor Agent, unique at workspace level.

descriptionstringBeta

Description of what this agent can do (user-facing).

instructionsstringBeta

Optional natural-language instructions for the supervisor agent.

idstringBeta

Deprecated: Use supervisor_agent_id instead.

supervisor_agent_idstringBeta

The universally unique identifier (UUID) of the Supervisor Agent.

creatorstringBeta

The creator of the Supervisor Agent.

create_timestringBeta

Creation timestamp.

endpoint_namestringBeta

The name of the supervisor agent's serving endpoint.

experiment_idstringBeta

The MLflow experiment ID.

Get Beta

GET /api/2.1/{name=supervisor-agents/*}

Gets a Supervisor Agent.

API scopes: supervisor-agents

Parameters

namestringpath

The resource name of the Supervisor Agent. Format: supervisor-agents/{supervisor_agent_id}

Response

Returns the SupervisorAgent object.

List Beta

GET /api/2.1/supervisor-agents

Lists Supervisor Agents.

API scopes: supervisor-agents

Parameters

page_sizeint32query

The maximum number of supervisor agents to return. If unspecified, at most 100 supervisor agents will be returned. The maximum value is 100; values above 100 will be coerced to 100.

Constraints: [ 1 .. 100 ]

page_tokenstringquery

A page token, received from a previous ListSupervisorAgents call. Provide this to retrieve the subsequent page. If unspecified, the first page will be returned.

Response

Returns a list of SupervisorAgent objects.

Create Beta

POST /api/2.1/supervisor-agents

Creates a new Supervisor Agent.

API scopes: supervisor-agents

Request body

supervisor_agentobject

The Supervisor Agent to create.

Show child attributesHide child attributes
namestring

The resource name of the SupervisorAgent. Format: supervisor-agents/{supervisor_agent_id}

display_namestring

The display name of the Supervisor Agent, unique at workspace level.

descriptionstring

Description of what this agent can do (user-facing).

instructionsstring

Optional natural-language instructions for the supervisor agent.

idstring

Deprecated: Use supervisor_agent_id instead.

supervisor_agent_idstring

The universally unique identifier (UUID) of the Supervisor Agent.

creatorstring

The creator of the Supervisor Agent.

create_timestring

Creation timestamp.

endpoint_namestring

The name of the supervisor agent's serving endpoint.

experiment_idstring

The MLflow experiment ID.

Response

Returns the SupervisorAgent object.

Update Beta

PATCH /api/2.1/{supervisor_agent.name=supervisor-agents/*}

Updates a Supervisor Agent. The fields that are required depend on the paths specified in update_mask. Only fields included in the mask will be updated.

API scopes: supervisor-agents

Parameters

supervisor_agentobjectpath

The SupervisorAgent to update.

Show child attributesHide child attributes
namestring

The resource name of the SupervisorAgent. Format: supervisor-agents/{supervisor_agent_id}

display_namestring

The display name of the Supervisor Agent, unique at workspace level.

descriptionstring

Description of what this agent can do (user-facing).

instructionsstring

Optional natural-language instructions for the supervisor agent.

idstring

Deprecated: Use supervisor_agent_id instead.

supervisor_agent_idstring

The universally unique identifier (UUID) of the Supervisor Agent.

creatorstring

The creator of the Supervisor Agent.

create_timestring

Creation timestamp.

endpoint_namestring

The name of the supervisor agent's serving endpoint.

experiment_idstring

The MLflow experiment ID.

update_maskstringquery

Field mask for fields to be updated.

Response

Returns the SupervisorAgent object.

Delete Beta

DELETE /api/2.1/{name=supervisor-agents/*}

Deletes a Supervisor Agent.

API scopes: supervisor-agents

Parameters

namestringpath

The resource name of the Supervisor Agent. Format: supervisor-agents/{supervisor_agent_id}